Bug 988032 - GTK does not have a dependency on the fonts necessary to render widgets
GTK does not have a dependency on the fonts necessary to render widgets
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:49 EDT by Jonathan Barber
Modified: 2015-02-13 11:48 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 741248
Environment:
Last Closed: 2015-02-13 11:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Barber 2013-07-24 10:49:00 EDT
This is still a problem with F19. Installing dejavu-lgc-sans-fonts still fixes it (i.e. I can see text in virt-manager instead of boxes).

+++ This bug was initially created as a clone of Bug #741248 +++

User-Agent:       Mozilla/5.0 (X11; Linux i686) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.21 Safari/535.2

The package for virt-manager in Fedora 15 x86_64 seems to be missing a dependency for the files provided by the package xorg-x11-fonts-Type1.noarch.

Reproducible: Always

Steps to Reproduce:
Here's what I did...

1. Network install Fedora 15 x86_64 using the "minimal" install option
2. Yum install the "Base", "Virtualisation" and "X Window System" groups
3. Connect to the system via SSH with X Forwarding
4. Run virt-manager
Actual Results:  
Without this package virt-manager does not display any fonts (squares are rendered where fonts should be).

Expected Results:  
I should be able to run virt-manager and have it display correctly.

--- Additional comment from Cole Robinson on 2011-09-26 10:51:54 EDT ---

virt-manager shouldn't need to depend on this. Maybe the "X Window System" comps group or gtk should pull in xorg-x11-fonts-Type1

Reassigning to comps

--- Additional comment from Bill Nottingham on 2011-09-26 10:55:02 EDT ---

If you want fonts, install the fonts group.

--- Additional comment from Graham White on 2011-09-26 11:27:07 EDT ---

The package xorg-x11-fonts-Type1 required by virt-manager is not part of the Fonts group so that wouldn't help.

--- Additional comment from Daniel Berrange on 2011-09-26 11:32:17 EDT ---

> The package xorg-x11-fonts-Type1 required by virt-manager is not part of the
> Fonts group so that wouldn't help.

AFAIK, virt-manager does not require any particular font to be installed. Any requirement for particular fonts is imposed by GTK or the GTK theme, so it is those packages which should deal with dependencies.

--- Additional comment from Graham White on 2011-09-27 02:43:26 EDT ---

Yes that's more than likely the case I should think.  To discover the package I've reported here I ran an strace against virt-manager.  I had been installing a few random font packages but none of them seemed to work.  Perhaps the GTK packages should source a minimal set of fonts, after all, getting the user to do that separately for a system that clearly requires some sort of text display functionality seems a little odd to me.  Is it worth opening a separate bug against the GTK packages?

--- Additional comment from Trey Dockendorf on 2011-10-17 00:51:03 EDT ---

I've run into this on a minimal system with no X Windows installed.  I only access virt-manager via X11 forwarding, and have solved the problem by installing dejavu-lgc-sans-fonts.  That's the single package I've found to solve this problem.

--- Additional comment from Fedora End Of Life on 2012-08-07 15:58:12 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2015-01-09 14:05:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.